/*
  This file is part of GerQUtils.

  GerQUtils is free software: you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation, either version 3 of the License, or (at your option) any later
  version.

  GerQUtils is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
  A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with
  GerQUtils.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef GERQ_DEFAULTINSTCONTAINER_H
#define GERQ_DEFAULTINSTCONTAINER_H


#include "gerqutilsbase.h"

#include "instcontainer.h"


namespace GerQ {


  class DefaultInstContainer: public InstContainer {

    public:

      DefaultInstContainer(
        DataAdapter* aAdapter, DataObject* (*aCreateData)());
      virtual ~DefaultInstContainer();

    protected:

      virtual DataObject *createData();

    private:

      DataObject* (*fCreateData)();

  }; // DefaultInstContainer


} // GerQ


#endif
