/*
  This file is part of GerQUtils.

  GerQUtils is free software: you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation, either version 3 of the License, or (at your option) any later
  version.

  GerQUtils is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
  A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with
  GerQUtils.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef GERQ_INSTCONTAINER_H
#define GERQ_INSTCONTAINER_H


#include "gerqutilsbase.h"

#include "datacontainer.h"


namespace GerQ {


  class InstContainer: public DataContainer {

    public:

      InstContainer(DataAdapter *aAdapter);
      virtual ~InstContainer();

      DataObject *newData();

    protected:

      virtual DataObject *yetUnknownData(QVariant aID);
      virtual DataObject *createData() = ABSTRACT;

  }; // InstContainer


} // GerQ


#endif
